Name: ipset
Summary: Administration tool for IP sets
Version: 6.7
Release: 2%{?dist}
Source: http://ipset.netfilter.org/%{name}-%{version}.tar.bz2
# Do not check for kbuilddir/.config
Patch0: ipset-6.7-no_config.patch
Group: System Environment/Base
URL: http://ipset.netfilter.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: GPLv2
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libmnl-devel
BuildRequires: kernel-headers

%description
ipset  is used to set up, maintain and inspect so called IP sets in the 
Linux kernel. Depending on the type of the set, an  IP  set  may  store 
IP(v4/v6)  addresses, (TCP/UDP) port numbers, IP and MAC address pairs, 
IP address and port number pairs, etc.

%prep
%setup -q
%patch0 -p1 -b .no_config
./autogen.sh

%build
%configure --sbindir=/sbin --libdir=/%{_lib} --disable-static --with-kernel=/usr --with-kbuild=/usr --with-ksource=/usr
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.so' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README UPGRADE
/sbin/ipset
/%{_lib}/*.so.*
%{_mandir}/man8/ipset*

%changelog
* Thu Jul  7 2011 Thomas Woerner <twoerner@redhat.com> 6.7-2
- fixed build in mock, disabled kbuilddir/.config check

* Fri Jun 24 2011 Thomas Woerner <twoerner@redhat.com> 6.7-1
- initial package
